MORE(1)

NAMN
more - visa innehållet i en fil i en terminal

SYNOPSIS

more [flaggor] fil ...

BESKRIVNING

more är ett filter för att bläddra igenom text en skärm full i taget. Den här versionen är särskilt primitiv. Användare bör inse att less(1) ger more(1)-emulering plus omfattande förbättringar.

FLAGGOR

Flaggor hämtas också från miljövariabeln MORE (se till att föregå dem med ett bindestreck (-)), men kommandoradsflaggor åsidosätter dessa.

-d, --silent
    Fråga med "[Tryck mellanslag för att fortsätta, 'q' för att avsluta.]" och visa "[Tryck 'h' för instruktioner.]" i stället för att ringa i klockan när en olaglig tangent trycks in.

-l, --logical
    Gör ingen paus efter en rad som innehåller ^L (form feed).

-e, --exit-on-eof
    Avsluta på End-Of-File, aktiverad som standard om miljövariabeln POSIXLY_CORRECT inte är inställd eller om den inte körs på en terminal.

-f, --no-pause
    Räkna logiska rader, snarare än skärmrader (dvs. långa rader viks inte).

-p, --print-over
    Rulla inte. Istället rensas hela skärmen och sedan visas texten. Observera att denna flagga aktiveras automatiskt om den körbara filen har namnet page.

-c, --clean-print
    Rulla inte. Måla istället varje skärm från början och rensa resten av varje rad allteftersom den visas.

-s, --squeeze
    Pressa ihop flera tomma rader till en.

-u, --plain
    Undertrycker understrykning. Denna flagga ignoreras som bakåtkompatibilitet.

-n, --lines nummer
    Ange antalet rader per skärmfull. Argumentet nummer är ett positivt decimalt heltal. Flaggan --lines ska åsidosätta alla värden som erhålls från någon annan källa, t.ex. antal rader som rapporteras av terminalen.

-nummer
    En numerisk flagga betyder samma sak som --lines-flaggargument.

+nummer
    Börja visa varje fil på rad nummer.

+/sträng
    Den sträng som ska sökas i varje fil innan den börjar visas.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

KOMMANDON

Interaktiva kommandon för more är baserade på vi(1). Vissa kommandon kan föregås av ett decimaltal, som kallas k i beskrivningarna nedan. I följande beskrivningar betyder ^X control-X.

h eller ?
    Help; visar en sammanfattning av dessa kommandon. Om du glömmer alla andra kommandon, kom ihåg det här.

MELLANSLAG
    Visa nästa k rader text. Standard är aktuell skärmstorlek.

z
    Visa nästa k rader text. Standard är aktuell skärmstorlek. Argumentet blir ny standard.

RETURN
    Visa nästa k rader text. Standardvärdet är 1. Argumentet blir ny standard.

d eller ^D
    Rulla k rader. Standard är aktuell rullningsstorlek, ursprungligen 11. Argumentet blir ny standard.

q eller Q eller INTERRUPT
    Avsluta.

s
    Hoppa framåt k rader i texten. Standardvärdet är 1.

f
    Hoppa framåt k skärmvolymer av text. Standardvärdet är 1.

b eller ^B
    Hoppa bakåt k skärmdumpar av text. Standardvärdet är 1. Fungerar bara med filer, inte pipes.

'
    Gå till den plats där den senaste sökningen startade.

=
    Visar aktuellt radnummer.

/pattern
    Sök efter den k:e förekomsten av ett reguljärt uttryck. Standardvärdet är 1.

n
    Sök efter den k:e förekomsten av det sista reguljära uttrycket. Standardvärdet är 1.

!kommando eller :!kommando
    Utför kommando i ett underskal.

v
    Startar en redigerare på aktuell rad. Redigeraren hämtas från miljövariabeln VISUAL om den är definierad, eller EDITOR om VISUAL inte är definierad, eller standardvärdet vi(1) om varken VISUAL eller EDITOR är definierad.

^L
    Rita om skärmen.

:n
    Gå till k:te nästa fil. Standardvärde är 1.

:p
    Gå till k:te föregående fil. Standardvärdet är 1.

:f
    Visar aktuellt filnamn och radnummer.

.
    Upprepa föregående kommando.

SECURITY

When either MORESECURE or PAGERSECURE is set, more will run in "secure" mode and effectively disable the following commands:

!kommando eller :!kommando
    Utför kommando i ett underskal.

v
    Start up an editor.

MILJÖ

Kommandot more respekterar följande miljövariabler, om de finns:

MORE
    Denna variabel kan ställas in med favoritflaggor till more.

SKAL
    Aktuellt skal som används (ställs normalt in av skalet vid inloggning).

TERM
    Den terminaltyp som används av fler för att få de terminalegenskaper som krävs för att manipulera skärmen.

VISUELL
    Den redigerare som användaren föredrar. Startas när kommandotangenten v trycks in.

REDIGERARE
    Den redigerare som väljs när VISUAL inte specificeras.

POSIXLY_CORRECT
    Inaktivera exit-on-eof (se flaggan -e för mer information).

MORESECURE
    Run more in "secure" mode. See SECURITY for details.

PAGERSECURE
    Equivalent to MORESECURE.

MORE_SHELL_LINES
    Specify the number of lines the shell prompt occupies on the terminal screen. If this value is set, the number of lines for the shell prompt is subtracted from the number of lines used to print a page on the screen. The value must be greater than zero and less than the current number of lines per screen; otherwise it is silently ignored. This is useful in situations where the printed page has to remain on the screen after exiting more(1) without scrolling up too much as the shell prints a new prompt.

HISTORIK

Kommandot more dök upp i 3.0BSD. Denna man-sida dokumenterar more version 5.19 (Berkeley 29/6/88), som för närvarande används i Linux-samhället. Dokumentationen togs fram med hjälp av flera andra versioner av man-sidan och omfattande inspektion av källkoden.

UPPHOVSPERSONER

Eric Shienbrood, UC Berkeley.

Ändrad av Geoff Peck, UCB för att lägga till understrykning, enkelt avstånd.

Modifierad av John Foderaro, UCB för att lägga till -c och miljövariabeln MORE.

Modified by Christian Goeschel Ndjomouo to add MORESECURE, PAGERSECURE and MORE_SHELL_LINES environment variables, and a SECURITY section

SE ÄVEN

less(1), vi(1)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot more ingår i paketet util-linux som kan hämtas från